%define DATE	20001209
%define format	html-fr
%define format2	HTML/fr

Summary:	HOWTO documents (html format) from the Linux Documentation Project
Name:		howto-%{format}
Version:	8.0
Release: 1mdk
Group:		Books/Howtos
Source0:	howto-%{format}-%{DATE}.tar.bz2
Source1:    howto-%{format} 
Source2:  howto.xpm.bz2
Source3:  lhowto.xpm.bz2
Source4:  mhowto.xpm.bz2 
Url:		http://www.linuxdoc.org/docs.html#howto
Copyright:	GPL
BuildRoot:	%{_tmppath}/%{name}-root
BuildArchitectures: noarch
Obsoletes:	ldp, howto-html-french
Requires:   locales-fr, webclient, mandrake_desk > 1.0.3-7mdk
BuildRequires:	howto-utils
Requires: howto-utils

%description
Linux HOWTOs are detailed documents which describe a specific aspect of 
configuring or using Linux.  Linux HOWTOs are a great source of
practical information about your system.  The latest versions of these
documents are located at http://www.linuxdoc.org/docs.html#howto

%prep 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_docdir}/HOWTO/%{format2}
cd $RPM_BUILD_ROOT%{_docdir}/HOWTO/%{format2}
bzcat %{SOURCE0} | tar xv

install -m 755 -d $RPM_BUILD_ROOT%{_menudir}/
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_menudir}/ 
(cd $RPM_BUILD_ROOT%{_docdir}/HOWTO/%{format2}; makehowtoindex French)

install -m 755 -d $RPM_BUILD_ROOT%{_miconsdir}
bzcat %SOURCE4 > $RPM_BUILD_ROOT%{_miconsdir}/howto.xpm
install -m 755 -d $RPM_BUILD_ROOT%{_iconsdir}
bzcat %SOURCE2 > $RPM_BUILD_ROOT%{_iconsdir}/howto.xpm
install -m 755 -d $RPM_BUILD_ROOT%{_liconsdir}
bzcat %SOURCE3 > $RPM_BUILD_ROOT%{_liconsdir}/howto.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_docdir}/HOWTO/%{format2}
%{_menudir}/*
%{_iconsdir}/*.xpm
%{_liconsdir}/*.xpm
%{_miconsdir}/*.xpm
%post
%{update_menus}

%postun
%{clean_menus}

%changelog
* Tue Mar 13 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 8.0-1mdk
- bump release number
- fix tmppath
- build with new howto-utils

* Thu Mar 01 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 7.3-2mdk
- let makehowtoindex do more stuff for us

* Wed Feb 28 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 7.3-1mdk
- reput howto where they should have been so that the menu is correctely
  generated (ie readd ln touch)
- update version to at least 7.3 ... for the moment

* Sat Jan 13 2001 Etienne Faure  <etienne@mandrakesoft.com> 7.1-8mdk
- modified menu entry

* Sat Dec  9 2000 Etienne Faure  <etienne@mandraksoft.com> 7.1-7mdk
- updated to more recent howtos


* Thu Aug 17 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 7.1-6mdk
- add LN touch

* Fri Aug 11 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 7.1-5mdk
- fix menu for BM

* Fri Aug 11 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 7.1-4mdk
- use new tool to autogenerate the menu (which was previously handly built by
  dadou :-( )
- fix buildrequires
- new snapshots

* Wed Aug 02 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 7.1-3mdk
- update to 20000802 howtos
- use new macros

* Mon Apr 24 2000 Pixel <pixel@mandrakesoft.com> 7.1-2mdk
- change require (add locales-XX, change netscape to webclient)

* Thu Apr 20 2000 David BAUDENS <baudens@mandrakesoft.com> 7.1-1mdk
- 7.1

* Wed Apr 05 2000 David BAUDENS <baudens@mandrakesoft.com> 7.0-2mdk
- 20000405

* Fri Jan 07 2000 - David BAUDENS <baudens@mandrakesoft.com>
- Build for 7.0

* Tue Dec 30 1999 - David BAUDENS <baudens@mandrakesoft.com>
- French HTML version

* Sat Dec 04 1999 - David BAUDENS <baudens@mandrakesoft.com>
- 19991204
- Keep only html format (others are in contribs)

* Fri May 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptations.

* Tue Mar 23 1999 Bill Nottingham <notting@redhat.com>
- no <BASE HREF...> in howto-index.html

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Tue Jan 26 1999 Cristian Gafton <gafton@redhat.com>
- updated howtos
- marked translations with %lang(XX)
- get rid of pdf, ps and dvi formats

* Thu Oct 01 1998 Cristian Gafton <gafton@redhat.com>
- added the Serbian Howtos

* Thu Sep 10 1998 Cristian Gafton <gafton@redhat.com>
- updated archive
- added croatian and slovenian subpackages

* Wed Apr 15 1998 Cristian Gafton <gafton@redhat.com>
- updated archive
- subpackages for each language

* Fri Oct 24 1997 Otto Hammersmith <otto@redhat.com>
- fixed missing HOWTOs because the download ran out of space
- added an index html page for the howto-html package

* Thu Oct 23 1997 Otto Hammersmith <otto@redhat.com>
- untarred the html tarballs to obsolete the ldp package

* Wed Oct 22 1997 Otto Hammersmith <otto@redhat.com>
- updated version
- fixed description for the right date

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- made a noarch package

* Sat Apr 19 1997 Otto Hammersmith <otto@redhat.com>
- Updated to more recent HOWTOs.
- In the next major version, %{_docdir} really ought to be cleaned out.
  Right now, the ldp and howto packages overlap somewhat. (HTML docs,
  the former, however, only has tar.gz files)
  I didn't want to rearrange too much for 4.2, and there are other
  documentation issues such as /usr/info.

